Creates a new job_priority object
Request Information
URI Parameters :
None.
Body Parameters :
job_priority| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the priority |
string |
Required Max length: 50 |
| is_default |
If default, will be auto selected when creating new jobs |
boolean | |
| sequence |
Sorting field (0 first) |
integer | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating job_priority |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating job_priority |
sales_organization | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "71173a66-baac-4599-856f-191d477a4aaa",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "b4e9d5f8-481f-4b6a-a242-bc9c4c4fc9cf",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "d6ce5adf-32cf-460e-bffd-e72abebacb6c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "cb9561ea-c243-4cfb-88ce-775d856c77d1",
"db_currency_id": "d455ca92-0df5-4863-b8bc-395a9bdfeb97",
"db_language_id": "b3bf8a45-5c3d-48ec-8d8b-625409493f81",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-28T21:48:37.9597868+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-10-28T21:48:37.9597868+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.